diff --git c/scala/collection/parallel/ParIterableLike$Filter.class w/scala/collection/parallel/ParIterableLike$Filter.class
index 8a0f77f944..ff3e0f0940 100644
--- c/scala/collection/parallel/ParIterableLike$Filter.class
+++ w/scala/collection/parallel/ParIterableLike$Filter.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Filter extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Filter extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer{
 private final scala.Function1 pred;
   Signature: Lscala/Function1;
 
diff --git c/scala/collection/parallel/ParIterableLike$FilterNot.class w/scala/collection/parallel/ParIterableLike$FilterNot.class
index cd2ee99c83..0893690f70 100644
--- c/scala/collection/parallel/ParIterableLike$FilterNot.class
+++ w/scala/collection/parallel/ParIterableLike$FilterNot.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$FilterNot extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$FilterNot extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer{
 private final scala.Function1 pred;
   Signature: Lscala/Function1;
 
diff --git c/scala/collection/parallel/ParIterableLike$Find.class w/scala/collection/parallel/ParIterableLike$Find.class
index 54484e6a98..2a7f500d30 100644
--- c/scala/collection/parallel/ParIterableLike$Find.class
+++ w/scala/collection/parallel/ParIterableLike$Find.class
@@ -8,7 +8,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Find extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Find extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor{
 private final scala.Function1 pred;
   Signature: Lscala/Function1;
 
diff --git c/scala/collection/parallel/ParIterableLike$FlatMap.class w/scala/collection/parallel/ParIterableLike$FlatMap.class
index ebfedf66e2..f9e6752bf1 100644
--- c/scala/collection/parallel/ParIterableLike$FlatMap.class
+++ w/scala/collection/parallel/ParIterableLike$FlatMap.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$FlatMap extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$FlatMap extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer{
 private final scala.Function1 f;
   Signature: Lscala/Function1;
 
diff --git c/scala/collection/parallel/ParIterableLike$Fold.class w/scala/collection/parallel/ParIterableLike$Fold.class
index 1cd1f26a78..934c71a8f2 100644
--- c/scala/collection/parallel/ParIterableLike$Fold.class
+++ w/scala/collection/parallel/ParIterableLike$Fold.class
@@ -8,7 +8,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Fold extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Fold extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor{
 private final java.lang.Object z;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/collection/parallel/ParIterableLike$Forall.class w/scala/collection/parallel/ParIterableLike$Forall.class
index 4001f2fe05..94d060ec2c 100644
--- c/scala/collection/parallel/ParIterableLike$Forall.class
+++ w/scala/collection/parallel/ParIterableLike$Forall.class
@@ -8,7 +8,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Forall extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Forall extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor{
 private final scala.Function1 pred;
   Signature: Lscala/Function1;
 
diff --git c/scala/collection/parallel/ParIterableLike$Foreach.class w/scala/collection/parallel/ParIterableLike$Foreach.class
index d273d2afa3..18578166b7 100644
--- c/scala/collection/parallel/ParIterableLike$Foreach.class
+++ w/scala/collection/parallel/ParIterableLike$Foreach.class
@@ -8,7 +8,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Foreach extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Foreach extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor{
 private final scala.Function1 op;
   Signature: Lscala/Function1;
 
diff --git c/scala/collection/parallel/ParIterableLike$FromScanTree.class w/scala/collection/parallel/ParIterableLike$FromScanTree.class
index dd6c6bc152..ee4e65043c 100644
--- c/scala/collection/parallel/ParIterableLike$FromScanTree.class
+++ w/scala/collection/parallel/ParIterableLike$FromScanTree.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$FromScanTree extends java.lang.Object implements scala.collection.parallel.ParIterableLike$StrictSplitterCheckTask,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$FromScanTree extends java.lang.Object implements scala.collection.parallel.ParIterableLike$StrictSplitterCheckTask{
 private final scala.collection.parallel.ParIterableLike$ScanTree tree;
   Signature: Lscala/collection/parallel/ParIterableLike$ScanTree;
 
diff --git c/scala/collection/parallel/ParIterableLike$GroupBy.class w/scala/collection/parallel/ParIterableLike$GroupBy.class
index 2566ef1af5..f40b6e3f47 100644
--- c/scala/collection/parallel/ParIterableLike$GroupBy.class
+++ w/scala/collection/parallel/ParIterableLike$GroupBy.class
@@ -10,7 +10,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$GroupBy extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$GroupBy extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer{
 private final scala.Function1 f;
   Signature: Lscala/Function1;
 
diff --git c/scala/collection/parallel/ParIterableLike$Map.class w/scala/collection/parallel/ParIterableLike$Map.class
index cbb413da7c..4e0ab1e5d5 100644
--- c/scala/collection/parallel/ParIterableLike$Map.class
+++ w/scala/collection/parallel/ParIterableLike$Map.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Map extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Map extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer{
 private final scala.Function1 f;
   Signature: Lscala/Function1;
 
diff --git c/scala/collection/parallel/ParIterableLike$Max.class w/scala/collection/parallel/ParIterableLike$Max.class
index 46a203967f..589eaf45fd 100644
--- c/scala/collection/parallel/ParIterableLike$Max.class
+++ w/scala/collection/parallel/ParIterableLike$Max.class
@@ -8,7 +8,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Max extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Max extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor{
 private final scala.math.Ordering ord;
   Signature: Lscala/math/Ordering;
 
diff --git c/scala/collection/parallel/ParIterableLike$Min.class w/scala/collection/parallel/ParIterableLike$Min.class
index 4cb50dd8e4..82092e9e39 100644
--- c/scala/collection/parallel/ParIterableLike$Min.class
+++ w/scala/collection/parallel/ParIterableLike$Min.class
@@ -8,7 +8,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Min extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Min extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor{
 private final scala.math.Ordering ord;
   Signature: Lscala/math/Ordering;
 
diff --git c/scala/collection/parallel/ParIterableLike$NonDivisibleTask.class w/scala/collection/parallel/ParIterableLike$NonDivisibleTask.class
index b9a5b43109..3ac1b5068d 100644
--- c/scala/collection/parallel/ParIterableLike$NonDivisibleTask.class
+++ w/scala/collection/parallel/ParIterableLike$NonDivisibleTask.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //NonDivisibleTask=class scala/collection/parallel/Pa
 public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public interface scala.collection.parallel.ParIterableLike$NonDivisibleTask extends scala.collection.parallel.ParIterableLike$StrictSplitterCheckTask,scala.ScalaObject{
+public interface scala.collection.parallel.ParIterableLike$NonDivisibleTask extends scala.collection.parallel.ParIterableLike$StrictSplitterCheckTask{
 public abstract boolean shouldSplitFurther();
   Signature: ()Z
 
diff --git c/scala/collection/parallel/ParIterableLike$ParIterator.class w/scala/collection/parallel/ParIterableLike$ParIterator.class
index ce4e19e2a5..c5a6446835 100644
--- c/scala/collection/parallel/ParIterableLike$ParIterator.class
+++ w/scala/collection/parallel/ParIterableLike$ParIterator.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //ParIterator=class scala/collection/parallel/ParIterableLike$ParIterator of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public interface scala.collection.parallel.ParIterableLike$ParIterator extends scala.collection.parallel.IterableSplitter,scala.ScalaObject{
+public interface scala.collection.parallel.ParIterableLike$ParIterator extends scala.collection.parallel.IterableSplitter{
 public abstract scala.collection.generic.Signalling signalDelegate();
   Signature: ()Lscala/collection/generic/Signalling;
 
diff --git c/scala/collection/parallel/ParIterableLike$Partition.class w/scala/collection/parallel/ParIterableLike$Partition.class
index 78fe23706e..84b30d8c64 100644
--- c/scala/collection/parallel/ParIterableLike$Partition.class
+++ w/scala/collection/parallel/ParIterableLike$Partition.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Partition extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Partition extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer{
 private final scala.Function1 pred;
   Signature: Lscala/Function1;
 
diff --git c/scala/collection/parallel/ParIterableLike$Product.class w/scala/collection/parallel/ParIterableLike$Product.class
index b256be4dd0..228432f542 100644
--- c/scala/collection/parallel/ParIterableLike$Product.class
+++ w/scala/collection/parallel/ParIterableLike$Product.class
@@ -8,7 +8,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Product extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Product extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor{
 private final scala.math.Numeric num;
   Signature: Lscala/math/Numeric;
 
diff --git c/scala/collection/parallel/ParIterableLike$Reduce.class w/scala/collection/parallel/ParIterableLike$Reduce.class
index 42863ed52e..29489b24bd 100644
--- c/scala/collection/parallel/ParIterableLike$Reduce.class
+++ w/scala/collection/parallel/ParIterableLike$Reduce.class
@@ -8,7 +8,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Reduce extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Reduce extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor{
 private final scala.Function2 op;
   Signature: Lscala/Function2;
 
diff --git c/scala/collection/parallel/ParIterableLike$ResultMapping.class w/scala/collection/parallel/ParIterableLike$ResultMapping.class
index 2f985dfaaf..e4cfb2158b 100644
--- c/scala/collection/parallel/ParIterableLike$ResultMapping.class
+++ w/scala/collection/parallel/ParIterableLike$ResultMapping.class
@@ -8,7 +8,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public abstract class scala.collection.parallel.ParIterableLike$ResultMapping extends java.lang.Object implements scala.collection.parallel.ParIterableLike$NonDivisibleTask,scala.ScalaObject{
+public abstract class scala.collection.parallel.ParIterableLike$ResultMapping extends java.lang.Object implements scala.collection.parallel.ParIterableLike$NonDivisibleTask{
 private final scala.collection.parallel.ParIterableLike$StrictSplitterCheckTask inner;
   Signature: Lscala/collection/parallel/ParIterableLike$StrictSplitterCheckTask;
 
diff --git c/scala/collection/parallel/ParIterableLike$ScanLeaf.class w/scala/collection/parallel/ParIterableLike$ScanLeaf.class
index 044e494680..1f677ecee1 100644
--- c/scala/collection/parallel/ParIterableLike$ScanLeaf.class
+++ w/scala/collection/parallel/ParIterableLike$ScanLeaf.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //ScanTree=class scala/collection/parallel/ParIterabl
 public abstract #= # of #; //ScanTree$class=class scala/collection/parallel/ParIterableLike$ScanTree$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$ScanLeaf extends java.lang.Object implements scala.collection.parallel.ParIterableLike$ScanTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.parallel.ParIterableLike$ScanLeaf extends java.lang.Object implements scala.collection.parallel.ParIterableLike$ScanTree,scala.Product,scala.Serializable{
 private final scala.collection.parallel.IterableSplitter pit;
   Signature: Lscala/collection/parallel/IterableSplitter;
 
diff --git c/scala/collection/parallel/ParIterableLike$ScanNode.class w/scala/collection/parallel/ParIterableLike$ScanNode.class
index d72d483019..8ca1a8ddb9 100644
--- c/scala/collection/parallel/ParIterableLike$ScanNode.class
+++ w/scala/collection/parallel/ParIterableLike$ScanNode.class
@@ -5,7 +5,7 @@ public #= # of #; //ScanLeaf=class scala/collection/parallel/ParIterableLike$Sca
 public abstract #= # of #; //ScanTree$class=class scala/collection/parallel/ParIterableLike$ScanTree$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$ScanNode extends java.lang.Object implements scala.collection.parallel.ParIterableLike$ScanTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.parallel.ParIterableLike$ScanNode extends java.lang.Object implements scala.collection.parallel.ParIterableLike$ScanTree,scala.Product,scala.Serializable{
 private final scala.collection.parallel.ParIterableLike$ScanTree left;
   Signature: Lscala/collection/parallel/ParIterableLike$ScanTree;
 
diff --git c/scala/collection/parallel/ParIterableLike$SignalContextPassingIterator.class w/scala/collection/parallel/ParIterableLike$SignalContextPassingIterator.class
index 25a5863233..90ee67e05e 100644
--- c/scala/collection/parallel/ParIterableLike$SignalContextPassingIterator.class
+++ w/scala/collection/parallel/ParIterableLike$SignalContextPassingIterator.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //ParIterator=class scala/collection/parallel/ParIter
 public abstract #= # of #; //SignalContextPassingIterator=class scala/collection/parallel/ParIterableLike$SignalContextPassingIterator of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public interface scala.collection.parallel.ParIterableLike$SignalContextPassingIterator extends scala.collection.parallel.ParIterableLike$ParIterator,scala.ScalaObject{
+public interface scala.collection.parallel.ParIterableLike$SignalContextPassingIterator extends scala.collection.parallel.ParIterableLike$ParIterator{
 public abstract scala.collection.Seq scala$collection$parallel$ParIterableLike$SignalContextPassingIterator$$super$split();
   Signature: ()Lscala/collection/Seq;
 
diff --git c/scala/collection/parallel/ParIterableLike$Slice.class w/scala/collection/parallel/ParIterableLike$Slice.class
index fe6cebae9d..316ac00e27 100644
--- c/scala/collection/parallel/ParIterableLike$Slice.class
+++ w/scala/collection/parallel/ParIterableLike$Slice.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Slice extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Slice extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer{
 public final int scala$collection$parallel$ParIterableLike$Slice$$from;
   Signature: I
 
diff --git c/scala/collection/parallel/ParIterableLike$Span.class w/scala/collection/parallel/ParIterableLike$Span.class
index 2ebc258b50..da5b61388b 100644
--- c/scala/collection/parallel/ParIterableLike$Span.class
+++ w/scala/collection/parallel/ParIterableLike$Span.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Span extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Span extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer{
 public final int scala$collection$parallel$ParIterableLike$Span$$pos;
   Signature: I
 
diff --git c/scala/collection/parallel/ParIterableLike$SplitAt.class w/scala/collection/parallel/ParIterableLike$SplitAt.class
index db39726014..be414f843b 100644
--- c/scala/collection/parallel/ParIterableLike$SplitAt.class
+++ w/scala/collection/parallel/ParIterableLike$SplitAt.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$SplitAt extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$SplitAt extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer{
 public final int scala$collection$parallel$ParIterableLike$SplitAt$$at;
   Signature: I
 
diff --git c/scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask.class w/scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask.class
index 530369f204..a41daa1408 100644
--- c/scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask.class
+++ w/scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Task=class scala/collection/parallel/Tasks$Task of
 public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public interface scala.collection.parallel.ParIterableLike$StrictSplitterCheckTask extends scala.collection.parallel.Tasks$Task,scala.ScalaObject{
+public interface scala.collection.parallel.ParIterableLike$StrictSplitterCheckTask extends scala.collection.parallel.Tasks$Task{
 public abstract boolean requiresStrictSplitters();
   Signature: ()Z
 
diff --git c/scala/collection/parallel/ParIterableLike$Sum.class w/scala/collection/parallel/ParIterableLike$Sum.class
index cd61dcae8f..6c2f7fa0a0 100644
--- c/scala/collection/parallel/ParIterableLike$Sum.class
+++ w/scala/collection/parallel/ParIterableLike$Sum.class
@@ -8,7 +8,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Sum extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Sum extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Accessor{
 private final scala.math.Numeric num;
   Signature: Lscala/math/Numeric;
 
diff --git c/scala/collection/parallel/ParIterableLike$Take.class w/scala/collection/parallel/ParIterableLike$Take.class
index 3df507e435..f952e0d462 100644
--- c/scala/collection/parallel/ParIterableLike$Take.class
+++ w/scala/collection/parallel/ParIterableLike$Take.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Take extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Take extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer{
 public final int scala$collection$parallel$ParIterableLike$Take$$n;
   Signature: I
 
diff --git c/scala/collection/parallel/ParIterableLike$TakeWhile.class w/scala/collection/parallel/ParIterableLike$TakeWhile.class
index 30d0bd06f7..ac3d03f9ea 100644
--- c/scala/collection/parallel/ParIterableLike$TakeWhile.class
+++ w/scala/collection/parallel/ParIterableLike$TakeWhile.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$TakeWhile extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$TakeWhile extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer{
 public final int scala$collection$parallel$ParIterableLike$TakeWhile$$pos;
   Signature: I
 
diff --git c/scala/collection/parallel/ParIterableLike$ToParCollection.class w/scala/collection/parallel/ParIterableLike$ToParCollection.class
index f2b32c50e7..42511375c9 100644
--- c/scala/collection/parallel/ParIterableLike$ToParCollection.class
+++ w/scala/collection/parallel/ParIterableLike$ToParCollection.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$ToParCollection extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$ToParCollection extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer{
 
 private final scala.collection.parallel.IterableSplitter pit;
   Signature: Lscala/collection/parallel/IterableSplitter;
diff --git c/scala/collection/parallel/ParIterableLike$ToParMap.class w/scala/collection/parallel/ParIterableLike$ToParMap.class
index 6394badb5a..0f7aea8928 100644
--- c/scala/collection/parallel/ParIterableLike$ToParMap.class
+++ w/scala/collection/parallel/ParIterableLike$ToParMap.class
@@ -10,7 +10,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$ToParMap extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$ToParMap extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer{
 
 private final scala.collection.parallel.IterableSplitter pit;
   Signature: Lscala/collection/parallel/IterableSplitter;
